---
title: BluetoothRemoteGATTServer.device
slug: Web/API/BluetoothRemoteGATTServer/device
tags:
  - API
  - Bluethooth
  - BluetoothRemoteGATTServer
  - Experimental
  - Property
  - Reference
---
<p>{{SeeCompatTable}}</p>

<p>The <strong><code>BluetoothRemoteGATTServer.device</code></strong> read-only property returns a reference to the {{domxref("BluetoothDevice")}} running the server.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>device</em> = <em>BluetoothRemoteGATTServer</em>.device</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Web Bluetooth", "#dom-bluetoothremotegattserver-device", "device")}}</td>
   <td>{{Spec2("Web Bluetooth")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BluetoothRemoteGATTServer.device")}}</p>

<div>{{APIRef("Web Bluetooth")}}</div>
